curl --request GET \
--url https://api.siftstack.com/api/v2/data-imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/data-imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/data-imports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"dataImports": [
{
"dataImportId": "<string>",
"status": "DATA_IMPORT_STATUS_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"sourceUrl": "<string>",
"errorMessage": "<string>",
"csvConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"firstDataRow": 123,
"timeColumn": {
"columnNumber": 123,
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": {},
"numRows": "<string>",
"useEmbeddedConfig": true
},
"ch10Config": {
"assetName": "<string>",
"runName": "<string>",
"scaleValues": true
},
"tdmsConfig": {
"assetName": "<string>",
"runName": "<string>",
"startTimeOverride": "2023-11-07T05:31:56Z",
"fileSize": "<string>",
"runId": "<string>",
"data": [
{
"groupName": "<string>",
"channelName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeChannelName": "<string>",
"scaled": true,
"complexComponent": "TDMS_COMPLEX_COMPONENT_UNSPECIFIED"
}
],
"fallbackMethod": "TDMS_FALLBACK_METHOD_UNSPECIFIED",
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z",
"importFileProperties": true
},
"parquetConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"flatDataset": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": [
{
"path": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"useEmbeddedConfig": true
},
"singleChannelPerRow": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"columns": [
{
"path": "<string>",
"columnConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"singleChannel": {
"dataPath": "<string>",
"channel": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
},
"multiChannel": {
"namePath": "<string>",
"dataPath": "<string>"
}
},
"footerOffset": "<string>",
"footerLength": 123,
"complexTypesImportMode": "PARQUET_COMPLEX_TYPES_IMPORT_MODE_UNSPECIFIED"
},
"hdf5Config": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"timeDataset": "<string>",
"timeIndex": "<string>",
"valueDataset": "<string>",
"valueIndex": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeField": "<string>",
"valueField": "<string>"
}
],
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"batchConfig": {
"runName": "<string>",
"runId": "<string>",
"assetName": "<string>",
"defaultCsvConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"firstDataRow": 123,
"timeColumn": {
"columnNumber": 123,
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": {},
"numRows": "<string>",
"useEmbeddedConfig": true
},
"defaultTdmsConfig": {
"assetName": "<string>",
"runName": "<string>",
"startTimeOverride": "2023-11-07T05:31:56Z",
"fileSize": "<string>",
"runId": "<string>",
"data": [
{
"groupName": "<string>",
"channelName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeChannelName": "<string>",
"scaled": true,
"complexComponent": "TDMS_COMPLEX_COMPONENT_UNSPECIFIED"
}
],
"fallbackMethod": "TDMS_FALLBACK_METHOD_UNSPECIFIED",
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z",
"importFileProperties": true
},
"defaultParquetConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"flatDataset": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": [
{
"path": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"useEmbeddedConfig": true
},
"singleChannelPerRow": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"columns": [
{
"path": "<string>",
"columnConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"singleChannel": {
"dataPath": "<string>",
"channel": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
},
"multiChannel": {
"namePath": "<string>",
"dataPath": "<string>"
}
},
"footerOffset": "<string>",
"footerLength": 123,
"complexTypesImportMode": "PARQUET_COMPLEX_TYPES_IMPORT_MODE_UNSPECIFIED"
},
"defaultHdf5Config": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"timeDataset": "<string>",
"timeIndex": "<string>",
"valueDataset": "<string>",
"valueIndex": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeField": "<string>",
"valueField": "<string>"
}
],
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"defaultUlogConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"messageName": "<string>",
"instance": "<string>",
"fieldName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"relativeStartTime": "2023-11-07T05:31:56Z",
"infoKeys": [
"<string>"
],
"paramKeys": [
"<string>"
],
"parseErrorPolicy": "ULOG_PARSE_ERROR_POLICY_UNSPECIFIED"
},
"fileConfigs": {}
},
"ulogConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"messageName": "<string>",
"instance": "<string>",
"fieldName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"relativeStartTime": "2023-11-07T05:31:56Z",
"infoKeys": [
"<string>"
],
"paramKeys": [
"<string>"
],
"parseErrorPolicy": "ULOG_PARSE_ERROR_POLICY_UNSPECIFIED"
},
"runId": "<string>",
"reportId": "<string>",
"assetId": "<string>",
"dataStartTime": "2023-11-07T05:31:56Z",
"dataStopTime": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ListDataImports
Lists all data imports.
curl --request GET \
--url https://api.siftstack.com/api/v2/data-imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/data-imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/data-imports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"dataImports": [
{
"dataImportId": "<string>",
"status": "DATA_IMPORT_STATUS_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"sourceUrl": "<string>",
"errorMessage": "<string>",
"csvConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"firstDataRow": 123,
"timeColumn": {
"columnNumber": 123,
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": {},
"numRows": "<string>",
"useEmbeddedConfig": true
},
"ch10Config": {
"assetName": "<string>",
"runName": "<string>",
"scaleValues": true
},
"tdmsConfig": {
"assetName": "<string>",
"runName": "<string>",
"startTimeOverride": "2023-11-07T05:31:56Z",
"fileSize": "<string>",
"runId": "<string>",
"data": [
{
"groupName": "<string>",
"channelName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeChannelName": "<string>",
"scaled": true,
"complexComponent": "TDMS_COMPLEX_COMPONENT_UNSPECIFIED"
}
],
"fallbackMethod": "TDMS_FALLBACK_METHOD_UNSPECIFIED",
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z",
"importFileProperties": true
},
"parquetConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"flatDataset": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": [
{
"path": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"useEmbeddedConfig": true
},
"singleChannelPerRow": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"columns": [
{
"path": "<string>",
"columnConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"singleChannel": {
"dataPath": "<string>",
"channel": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
},
"multiChannel": {
"namePath": "<string>",
"dataPath": "<string>"
}
},
"footerOffset": "<string>",
"footerLength": 123,
"complexTypesImportMode": "PARQUET_COMPLEX_TYPES_IMPORT_MODE_UNSPECIFIED"
},
"hdf5Config": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"timeDataset": "<string>",
"timeIndex": "<string>",
"valueDataset": "<string>",
"valueIndex": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeField": "<string>",
"valueField": "<string>"
}
],
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"batchConfig": {
"runName": "<string>",
"runId": "<string>",
"assetName": "<string>",
"defaultCsvConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"firstDataRow": 123,
"timeColumn": {
"columnNumber": 123,
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": {},
"numRows": "<string>",
"useEmbeddedConfig": true
},
"defaultTdmsConfig": {
"assetName": "<string>",
"runName": "<string>",
"startTimeOverride": "2023-11-07T05:31:56Z",
"fileSize": "<string>",
"runId": "<string>",
"data": [
{
"groupName": "<string>",
"channelName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeChannelName": "<string>",
"scaled": true,
"complexComponent": "TDMS_COMPLEX_COMPONENT_UNSPECIFIED"
}
],
"fallbackMethod": "TDMS_FALLBACK_METHOD_UNSPECIFIED",
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z",
"importFileProperties": true
},
"defaultParquetConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"flatDataset": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"dataColumns": [
{
"path": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"useEmbeddedConfig": true
},
"singleChannelPerRow": {
"timeColumn": {
"path": "<string>",
"format": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"columns": [
{
"path": "<string>",
"columnConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"singleChannel": {
"dataPath": "<string>",
"channel": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
},
"multiChannel": {
"namePath": "<string>",
"dataPath": "<string>"
}
},
"footerOffset": "<string>",
"footerLength": 123,
"complexTypesImportMode": "PARQUET_COMPLEX_TYPES_IMPORT_MODE_UNSPECIFIED"
},
"defaultHdf5Config": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"timeDataset": "<string>",
"timeIndex": "<string>",
"valueDataset": "<string>",
"valueIndex": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"timeField": "<string>",
"valueField": "<string>"
}
],
"timeFormat": "TIME_FORMAT_UNSPECIFIED",
"relativeStartTime": "2023-11-07T05:31:56Z"
},
"defaultUlogConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"messageName": "<string>",
"instance": "<string>",
"fieldName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"relativeStartTime": "2023-11-07T05:31:56Z",
"infoKeys": [
"<string>"
],
"paramKeys": [
"<string>"
],
"parseErrorPolicy": "ULOG_PARSE_ERROR_POLICY_UNSPECIFIED"
},
"fileConfigs": {}
},
"ulogConfig": {
"assetName": "<string>",
"runName": "<string>",
"runId": "<string>",
"data": [
{
"messageName": "<string>",
"instance": "<string>",
"fieldName": "<string>",
"channelConfig": {
"name": "<string>",
"units": "<string>",
"description": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
],
"relativeStartTime": "2023-11-07T05:31:56Z",
"infoKeys": [
"<string>"
],
"paramKeys": [
"<string>"
],
"parseErrorPolicy": "ULOG_PARSE_ERROR_POLICY_UNSPECIFIED"
},
"runId": "<string>",
"reportId": "<string>",
"assetId": "<string>",
"dataStartTime": "2023-11-07T05:31:56Z",
"dataStopTime": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of data imports to return. The service may return fewer than this value. If unspecified, at most 50 data imports will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.
A page token, received from a previous ListDataImports call.
Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to ListDataImports must match
the call that provided the page token. Optional.
A Common Expression Language (CEL) filter string.
Available fields to filter by are data_import_id, source_url, status, run_id.
For further information about how to use CELs, please refer to this guide.
How to order the retrieved data imports. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...".
Available fields to order_by are created_date and modified_date.
If left empty, items are ordered by created_date in ascending order (oldest-first).
For more information about the format of this field, read this
Example: "created_date desc,modified_date"
Was this page helpful?